
Foreman - Feature #30275

Update Sidekiq to 6.0.6 or higher

07/01/2020 11:53 AM - Ewoud Kohl van Wijngaarden

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Version 6.0.6 introduced support for systemd's Type=notify and WatchDog. Currently we're on 5.x

https://github.com/mperham/sidekiq/blob/master/6.0-Upgrade.md has some notes but I think all requirements are met.

After upgrading 

https://github.com/mperham/sidekiq/blob/19cf129fe34a979ef2eb129a1e07fd83fb8a895a/examples/systemd/sidekiq.service#L31-L41

should be applied to our service file.

Related issues:

Related to Foreman - Bug #30730: Implement systemd notify support for dynflow... Closed

Is duplicate of Foreman - Bug #35414: Bump sidekiq to 6.3.x Closed

History

#1 - 07/01/2020 12:19 PM - Ewoud Kohl van Wijngaarden

- Description updated

#2 - 07/21/2020 10:31 AM - Adam Ruzicka

This is blocked until gitlab-sidekiq-fetcher starts supporting sidekiq 6 

https://gitlab.com/gitlab-org/sidekiq-reliable-fetch/-/blob/master/gitlab-sidekiq-fetcher.gemspec#L13

#3 - 08/31/2020 08:42 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #30730: Implement systemd notify support for dynflow-sidekiq services added

#4 - 08/31/2020 08:44 AM - Ewoud Kohl van Wijngaarden

Via #30730 systemd support is implemented directly in the script. When upgrading to 6.0, this should be adjusted since there's overlapping code.

#5 - 11/02/2022 01:30 PM - Ewoud Kohl van Wijngaarden

- Is duplicate of Bug #35414: Bump sidekiq to 6.3.x added

#6 - 11/02/2022 01:31 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Duplicate
